/* Reset básico */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Raleway', sans-serif;
    color: #2d2a26;
    background-color: #f6f6f6;
}

/* Header */
.header {
    width: 100%;
    position: relative;
    z-index: 9;
    height: 70px;
}

.header-wrapper {
    width: 100%;
    padding: 0 5%;
    justify-content: space-between;
    display: flex;
    align-items: center;
    height: 80px;
}

.header-wrapper .logo {
    width: 150px;
 /*   margin-left: 10%;*/
}

.header-wrapper .logo img {
    width: 100%;
}

.header-menu {
    display: flex;
}

.header-menu .nav-menu {
    display: flex;
    align-items: center;
    gap: 48px;
}

.header-menu .nav-menu li {
    position: relative;
	list-style: none; /* Remove a bolinha */
}

.header-menu .nav-menu li a {
    color: #2d2a26;
    text-decoration: none;
    font-size: 16px;
    height: 100%;
    display: flex;
    align-items: center; /* Certifique-se de que os itens estejam centralizados verticalmente */
    transition: font-weight 0.3s ease; /* Adiciona transição suave */
}

.header-menu .nav-menu li:hover::before {
    content: '●'; /* Adiciona a bolinha */
    color: orange; /*#47606c;*/
    position: absolute;
    left: -20px;
    top: 50%;
    transform: translateY(-50%);
	font-size: 20px;
}

/* Menu Hambúrguer */
.menu-hamb {
    display: none;
}

.menu-hamb span,
.menu-hamb::after,
.menu-hamb::before {
    background-color: #2d2a26;
}

/* Grid de Projetos */
.projeto-outside {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 12px; /* Aumentado para 12px */
    padding: 12px;
}

.projeto-card {
    position: relative;
    width: 100%;
    padding-top: 100%; /* Mantém a proporção de 1:1 */
    overflow: hidden;
    background-color: #e7e7e7;
    background-image: url('../img/preloader.gif');
    background-repeat: no-repeat;
    background-position: center center;
}

.projeto-card img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease-out;
}

.projeto-card:hover img {
    transform: scale(1.1);
}

.projeto-card-dados {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: flex-start; /* Alinha os itens ao topo */
    justify-content: flex-start; /* Alinhamento à esquerda */
    background-color: rgba(45, 42, 38, 0.8);
    opacity: 0;
    transition: opacity 0.6s ease-out;
    z-index: 1;
    padding: 20px; /* Espaçamento interno */
}

.projeto-card:hover .projeto-card-dados {
    opacity: 1;
}

.projeto-card-dados-inner {
    transform: translate(10%, 40%); /* Deslocamento do conteúdo interno */
}

.projeto-card-dados div {
    width: 100%; /* Ajusta a largura para 100% */
    text-align: left; /* Alinha o texto à esquerda */
    color: #fff;
}

.projeto-card-dados .line {
    display: block;
    width: 4px;
    height: 90px;
    background-color: #ffc629;
    margin-bottom: 16px;
}

.projeto-card-dados .category,
.projeto-card-dados .year {
    display: block;
    text-transform: lowercase;
    font-weight: 500;
    font-size: 1vw;
}

.projeto-card-dados h3 {
    margin: -0.5vw 0 8px;
    font-weight: 700;
    font-size: 2.5vw;
    line-height: 3.5vw;
}

/* Botão de WhatsApp */
.contact-button {
    position: fixed;
    bottom: 30px;
    right: 5%; /* Margem direita igual ao menu */
    z-index: 1100; /* Garante que o botão fique sobreposto ao carrossel */
    text-decoration: none;
}

.contact-button img {
    width: 70px;
    height: 70px;
    transition: transform 0.3s ease;
}

.contact-button:hover img {
    transform: scale(1.1);
}

@keyframes whatsappAnimation {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-10px);
    }
}

.contact-button img {
    animation: whatsappAnimation 2s infinite;
}

/* Responsividade */
@media screen and (max-width: 768px) {
    .header-wrapper .logo {
        width: 140px;
    }

    .header-menu {
        background-color: rgba(255, 255, 255, 0.93);
        position: absolute;
        width: 100%;
        height: 100vh;
        top: 0;
        left: 0;
        box-sizing: content-box;
        z-index: -1;
        transform: translate3d(0, -30px, 0);
        opacity: 0;
        visibility: hidden;
        transition: 0.3s transform, 0.3s opacity, 0.3s visibility;
        transition-timing-function: ease-out;
    }

    .header-menu.ativo {
        transform: translate3d(0, 0, 0);
        opacity: 1;
        visibility: visible;
    }

    .header-menu .nav-menu {
        width: 100%;
        height: 100%;
        font-size: 5vw;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 12px;
    }

    .header-menu .nav-menu li a {
        font-size: 22px;
    }

    .menu-hamb {
        display: block;
        width: 32px;
        height: 24px;
        padding: 4px;
        background-color: transparent;
        border: none;
        z-index: 9;
    }

    .menu-hamb::after,
    .menu-hamb::before {
        content: '';
    }

    .menu-hamb span,
    .menu-hamb::after,
    .menu-hamb::before {
        width: 100%;
        height: 2px;
        display: block;
        margin-bottom: 4px;
        transition: 0.5s transform ease-out;
    }

    .menu-hamb.ativo::before {
        transform: rotate(-45deg) translate3d(-4px, 4px, 0);
    }

    .menu-hamb.ativo span {
        transform: rotate(45deg);
    }

    .menu-hamb.ativo::after {
        transform: scale(0);
    }

    .projeto-outside {
        grid-template-columns: 1fr;
    }

    .projeto-card-dados .category,
    .projeto-card-dados .year {
        font-size: 16px;
    }

    .projeto-card-dados h3 {
        margin: -4px 0 8px;
        font-size: 36px;
        line-height: 36px;
    }

    .projeto-card-dados-inner {
        transform: translate(10%, 50%); /* Ajuste de responsividade */
    }
}
